Loading...
Searching...
No Matches
geo_element_indirect

## Detailed Description

Definition at line 32 of file geo_element_indirect.h.

## Public Types

typedef size_t | size_type
typedef short int | orientation_type
typedef short int | shift_type
typedef int | orientation_type
typedef int | shift_type

## Public Member Functions

| geo_element_indirect ()
| geo_element_indirect (orientation_type orient, size_type ige, size_type shift=0)
size_type | index () const
orientation_type | orientation () const
shift_type | shift () const
void | set_orientation (orientation_type orient)
void | set_shift (size_type shift)
void | set_index (size_type ige)
void | set (orientation_type orient, size_type ige, size_type shift=0)
void | dump (std::ostream &out=std::clog) const
template<class Archive>
void | serialize (Archive &ar, const unsigned int version)
void | setindex (size_t index)
void | setorientation (size_t orient)
void | setshift (size_t shift)
size_t | index () const
int | orientation () const
size_t | shift () const
| geo_element_indirect ()

## Protected Attributes

size_type | _all
size_t | _index
int | _orient
int | _shift

## Static Protected Attributes

static const size_type | orient_position = 8*sizeof(size_type)-1
static const size_type | orient_mask = (size_type(1) << orient_position)
static const size_type | shift_position = 8*sizeof(size_type)-4
static const size_type | shift_mask
static const size_type | index_mask = ~(orient_mask | shift_mask)

## Member Typedef Documentation

## size_type

typedef size_t size_type

Definition at line 37 of file geo_element_indirect.h.

## orientation_type [1/2]

typedef short int orientation_type

Definition at line 38 of file geo_element_indirect.h.

## shift_type [1/2]

typedef short int shift_type

Definition at line 39 of file geo_element_indirect.h.

## orientation_type [2/2]

typedef int orientation_type

Definition at line 212 of file msh2geo.cc.

## shift_type [2/2]

typedef int shift_type

Definition at line 213 of file msh2geo.cc.

## Constructor & Destructor Documentation

## geo_element_indirect() [1/3]

geo_element_indirect | ( |  | ) |

Definition at line 43 of file geo_element_indirect.h.

## geo_element_indirect() [2/3]

geo_element_indirect | ( | orientation_type | orient,
|  | size_type | ige,
|  | size_type | shift = 0 )

Definition at line 45 of file geo_element_indirect.h.

## geo_element_indirect() [3/3]

geo_element_indirect | ( |  | ) |

Definition at line 220 of file msh2geo.cc.

## Member Function Documentation

## index() [1/2]

size_type index | ( |  | ) | const

Definition at line 51 of file geo_element_indirect.h.

## orientation() [1/2]

orientation_type orientation | ( |  | ) | const

Definition at line 52 of file geo_element_indirect.h.

## shift() [1/2]

shift_type shift | ( |  | ) | const

Definition at line 53 of file geo_element_indirect.h.

## set_orientation()

void set_orientation | ( | orientation_type | orient | ) |

Definition at line 57 of file geo_element_indirect.h.

## set_shift()

void set_shift | ( | size_type | shift | ) |

Definition at line 61 of file geo_element_indirect.h.

## set_index()

void set_index | ( | size_type | ige | ) |

Definition at line 65 of file geo_element_indirect.h.

## set()

void set | ( | orientation_type | orient,
|  | size_type | ige,
|  | size_type | shift = 0 )

Definition at line 69 of file geo_element_indirect.h.

## dump()

void dump | ( | std::ostream & | out = std::clog | ) | const

Definition at line 77 of file geo_element_indirect.h.

## serialize()

template<class Archive>

void serialize | ( | Archive & | ar,
|  | const unsigned int | version )

Definition at line 85 of file geo_element_indirect.h.

## setindex()

void setindex | ( | size_t | index | ) |

Definition at line 214 of file msh2geo.cc.

## setorientation()

void setorientation | ( | size_t | orient | ) |

Definition at line 215 of file msh2geo.cc.

## setshift()

void setshift | ( | size_t | shift | ) |

Definition at line 216 of file msh2geo.cc.

## index() [2/2]

size_t index | ( |  | ) | const

Definition at line 217 of file msh2geo.cc.

## orientation() [2/2]

int orientation | ( |  | ) | const

Definition at line 218 of file msh2geo.cc.

## shift() [2/2]

size_t shift | ( |  | ) | const

Definition at line 219 of file msh2geo.cc.

## Member Data Documentation

## orient_position

const size_type orient_position = 8*sizeof(size_type)-1

static protected

Definition at line 92 of file geo_element_indirect.h.

## orient_mask

const size_type orient_mask = (size_type(1) << orient_position)

static protected

Definition at line 93 of file geo_element_indirect.h.

## shift_position

const size_type shift_position = 8*sizeof(size_type)-4

static protected

Definition at line 96 of file geo_element_indirect.h.

## shift_mask

const size_type shift_mask

static protected

Initial value:
= (size_type(1) << shift_position) |
(size_type(1) << (shift_position+1)) |
(size_type(1) << (shift_position+2))
size_type
field::size_type size_type
Definition branch.cc:430
rheolef::geo_element_indirect::shift_position
static const size_type shift_position
Definition geo_element_indirect.h:96

Definition at line 97 of file geo_element_indirect.h.

## index_mask

const size_type index_mask = ~(orient_mask | shift_mask)

static protected

Definition at line 103 of file geo_element_indirect.h.

## _all

size_type _all

protected

Definition at line 107 of file geo_element_indirect.h.

## _index

size_t _index

protected

Definition at line 223 of file msh2geo.cc.

## _orient

int _orient

protected

Definition at line 224 of file msh2geo.cc.

## _shift

int _shift

protected

Definition at line 225 of file msh2geo.cc.

The documentation for this struct was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/geo_element_indirect.h
- /build/rheolef-L67pNR/rheolef-7.2/main/sbin/msh2geo.cc